"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTypescriptThingScript = void 0;
const child_process_1 = require("child_process");
const path_1 = __importDefault(require("path"));
const sh = async (cmd) => {
    return new Promise(function (resolve, reject) {
        (0, child_process_1.exec)(cmd, (err, stdout, stderr) => {
            if (err) {
                reject(err);
            }
            else {
                resolve({ stdout, stderr });
            }
        });
    });
};
const createTypescriptThingScript = async (settings) => {
    const script = `/usr/bin/env bash ${path_1.default.resolve(__dirname, "create.sh")}`;
    const command = script +
        settings.path ? " --path " + settings.path : ""
        + settings.name ? " --name " + settings.name : ""
        + settings.description ? " --description " + settings.description : ""
        + settings.type ? " --type " + settings.type : ""
        + settings.monorepo ? " --in-monorepo" : ""
        + settings.repo ? " --git-origin " + settings.repo : ""
        + settings.branch ? " --git-branch " + settings.branch : ""
        + settings.authorName ? " --author-name " + settings.authorName : ""
        + settings.authorEmail ? " --author-email " + settings.authorEmail : "";
    await sh(command);
};
exports.createTypescriptThingScript = createTypescriptThingScript;
exports.default = exports.createTypescriptThingScript;
